﻿
.sksearch-icon:before {
    content: '\e734';
    font-family: e-icons;
}
.skmore-icon:before {
    content: '\e71c';
    font-family: e-icons;

}
.sktstyle2 > .e-tab-header .e-toolbar-item .e-text-wrap {
    height: 36px !important;
}

.sktstyle2 > .e-toolbar .e-toolbar-items .e-toolbar-item:not(.e-separator),
.sktstyle2 > .e-toolbar .e-toolbar-items .e-toolbar-item .e-tab-wrap {
    height: 36px !important;
    min-height: 36px !important;
}


.sktstyle2 > .e-tab-header .e-toolbar-item.e-active > .e-tab-wrap {
    /*active*/
    background: white !important;
}

.sktstyle2 > .e-tab-header .e-toolbar-item > .e-tab-wrap {
    background: white !important;
}

.sktstyle2 > .e-tab-header .e-toolbar-item.e-active .e-tab-text {
    font-weight: bold !important;
}

.sktstyle2 > .e-tab-header .e-toolbar-item .e-tab-text {
    color: #3376CD !important;
}

.sktstyle1.hideHeader > .e-tab-header{
    display:none !important;
}

.sktstyle1 > .e-tab-header .e-toolbar-items .e-toolbar-item.e-active::before {
    /* remove underline active*/
    display: none;
}

.sktstyle1 > .e-tab-header .e-toolbar-item .e-text-wrap {
    height: 36px !important;
}

.sktstyle1 > .e-tab-header .e-toolbar-item:not(.e-separator),
.sktstyle1 > .e-tab-header .e-toolbar-item .e-tab-wrap {
    height: 36px !important;
    min-height: 36px !important;
    border-radius: 8px !important;
}


.sktstyle1 > .e-tab-header .e-toolbar-item.e-active > .e-tab-wrap {
    /*active*/
    background: #3376CD !important;
    border-radius: 8px !important;
}

.sktstyle1 > .e-tab-header .e-toolbar-item > .e-tab-wrap {
    background: #E1ECF8 !important;
    border-radius: 8px !important;
}

.sktstyle1 > .e-tab-header .e-toolbar-item.e-active .e-tab-text {
    color: white !important;
    font-weight: bold;
}



.sktstyle3 > .e-tab-header .e-toolbar-items .e-toolbar-item.e-active::before {
    /* remove underline active*/
    display: none;
}

.sktstyle3 > .e-tab-header .e-toolbar-item .e-text-wrap {
    height: 36px !important;
}

.sktstyle3 > .e-tab-header .e-toolbar-item:not(.e-separator),
.sktstyle3 > .e-tab-header .e-toolbar-item .e-tab-wrap {
    height: 36px !important;
    min-height: 36px !important;
}


.sktstyle3 > .e-tab-header .e-toolbar-item.e-active > .e-tab-wrap {
    /*active*/
    background: white !important;
}

.sktstyle3 > .e-tab-header .e-toolbar-item > .e-tab-wrap {
    background: white !important;
}

.sktstyle3 > .e-tab-header .e-toolbar-item.e-active .e-tab-text {
    color: white !important;
    font-weight: bold;
    padding: 2px 10px;
    border-radius: 4px;
    background-color: #AF2475;
}

.sktstyle3 > .e-tab-header .e-toolbar-item .e-tab-text {
    color: #AF2475 !important;
    font-weight: bold;
}

.sktstyle4 > .e-tab-header .e-toolbar-item.e-active .e-tab-text {
    background-color: #52B4C1 !important;
}

.sktstyle4 > .e-tab-header .e-toolbar-item .e-tab-text {
    color: #52B4C1 !important;
}
.sktstyle5 > .e-tab-header .e-toolbar-item.e-active .e-tab-text {
    background-color: #4A9F30 !important;
}

.sktstyle5 > .e-tab-header .e-toolbar-item .e-tab-text {
    color: #4A9F30 !important;
}
.space0 {
    max-width: calc(100vw - 0vw);
}
.space16 {
    max-width: calc(100vw - 16vw);
}

.space32 {
    max-width: calc(100vw - 32vw);
}

.space48 {
    max-width: calc(100vw - 48vw);
}

.space64 {
    max-width: calc(100vw - 64vw);
}
.skRelCount2.space0 {
    max-width: 50vw;
}
.skRelCount2.space16 {
    max-width: 42vw;
}
.skRelCount2.space32 {
    max-width: 34vw;
}

.f-group-links {
    padding-top: 32px;
    flex-direction: column;
    width: 16vw;
}
f-group-link2 { /*ent level2*/
    padding-top: 32px;
    flex-direction: column;
}


.f-group-linksonly {
    padding-top: 32px;
    flex-direction: column;
    width: 25vw;
}
.f-item:has(.f-group-linksonly) {
    display: flex;
    justify-content: center;
}

.borderred{
    border:5px solid red;
}
.bordergreen {
    border: 5px solid green;
}
.borderblue {
    border: 5px solid blue;
}
.f-links-horizon {
    width: 100vw;
    display: flex !important;
    flex-direction: row !important;
    padding-top: 10px;
    flex-wrap: wrap;
    justify-content: center;
}
@media (max-width: 991.98px) {
    .f-group-links {
        display: none;
    }
    .f-column.f-group-links.sublevel2 {
        width:100vw;
        display: flex !important;
        flex-direction: row !important;
        padding-top: 10px;
        flex-wrap:wrap;
        justify-content:center;
    }
    .f-group-linksonly {
        width: 50% !important;
    }

    .space16, .space32, .space48, .space64 {
        max-width: 100vw !important;
    }

    .skfixed-tabbtn {
        display: block !important;
    }
   
}
.sublevel2 {
   
}
    .skfixed-tabbtn {
        display: none;
        cursor: pointer;
        position: fixed;
        right: 0px;
        top: 40vh;
        background-color: #00adee;
        color: white;
        border-radius: 12px 0px 0px 12px;
        height: 96px;
        width: 24px;
        box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
    }

.skfixed-tabbtn:hover {
            background-color: #0078ca;
            border-right: none;
        }
.sk-tabpage:has(.sk-entity) .sk-groupgrid{
    height:450px !important;
}

.sk-lookupmode {
    height: 400px !important;
}

sk-dropbutton.e-btn.e-dropdown-btn {
    display: flex !important;
}
.sk-dropbutton.e-btn.e-dropdown-btn span {
    justify-content: end !important;
}

.sk-report-param {
    display: flex;
    flex-direction: row;
    width: 100%;
    flex-wrap: wrap;
}

.sk-report-actions {
    display: flex;
    flex-direction: column;
    width: 18%;
    margin-top: 32px;
    margin-left: 24px;
    gap: 5px;
}
.sk-textlimit {
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width:250px;
}

.e-input-group input.e-input,
.e-input-group.e-control-wrapper input.e-input {
    color: #666666;
}

.e-input-group.e-control-container.e-control-wrapper {
    border-color: lightgray !important;
}

/*Change the background color and text color if enabled state is false and normal mode*/
.ctrl-edit.e-input-group input.e-input,
ctrl-edit.e-input-group.e-control-wrapper input.e-input {
  
}

.ctrl-edit.e-input-group.e-control-container.e-control-wrapper{
    border-color: rgb(0,173,238) !important;
}